#include <iostream>
using namespace std;
int main(){
    long n, m, x, y, i, t, a[100000];
    t=0;
    cin>>n>>m;
    for(i=0; i<n; i++) cin>>a[i];
    for(i=0; i<m; i++){
        cin>>x>>y;
        if(a[x-1]+a[y-1]>=0) t+=a[x-1]+a[y-1];
        else t-=a[x-1]+a[y-1];
    }
    cout<<t;
    return 0;
}